# Note that this is NOT a relocatable package
%define ver      0.2
%define rel      1
%define prefix   /usr

Summary: GNOME RPM Tool
Name: grpm
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/gnome
Source: ftp://ftp.labs.redhat.com/pub/grpm-0.2.tar.gz
BuildRoot: /tmp/grpm-root
Packager: Marc Ewing <marc@redhat.com>
Docdir: %{prefix}/doc

%description
Simple GNOME RPM Tool.  Does dependency checks and other stunts.

%changelog

* Fri Oct 2 1998 Marc Ewing <marc@redhat.com>
- build static only for now

* Mon Jun 15 1998 Marc Ewing <marc@redhat.com>
- Initial release

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

make grpm.static

%install
rm -rf $RPM_BUILD_ROOT

#make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -s -m755 grpm.static $RPM_BUILD_ROOT%{prefix}/bin/grpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog README
%{prefix}/bin/*
